# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/Compare.pm) perl(ExtUtils/MakeMaker.pm) perl(List/AllUtils.pm) perl(Module/Build.pm) perl(Statistics/Data.pm) perl(Statistics/Lite.pm) perl(String/Util.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Statistics-Data-Rank
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Utilities for ranking data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RG/RGARTON/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Performs ranking of nammed data, either by an independent, between-variable method (as in Kruskall-Wallis test), or a dependent, cross-variable method (as in Friedman test). Methods return hash of ranks and sum-of-ranks. Data must be pre-loaded (as per Statistics::Data or sent to the methods with the argument data as a hash-ref of array-refs. Output is tested ahead of installation to ensure it matches published data (Siegal, 1956).
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Mon Nov 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

